#pragma once
#include "MoveCommand.h"

class AttackMoveCommand : public MoveCommand
{
public:
  AttackMoveCommand(BehaviorState& state, BWAPI::Position destination)
    : MoveCommand(state, destination)
  {
  }
  virtual bool execute(BWAPI::Unit* unit) const
  {
    return unit->attack(m_destination);
  }
protected:
  virtual void _output(std::ostream& out) const
  {
    out << "Attack-Move " << m_destination;
  }
};
